@ECHO off
title firmadocumento
cls

set LOGFILE=D:\FactuGES2\Servidor\Informes\1\log_factura.txt

set ARCHIVO=%1
set city=MADRID
set province=MADRID
set postalcode=28047
set PositionOnPageLowerLeftX=30
set PositionOnPageLowerLeftY=80
set PositionOnPageUpperRightX=160
set PositionOnPageUpperRigthY=200
set signaturePage=-1
set signatureRubricImage="D:\FactuGES2\Servidor\Informes\1\sello.jpg"
set layer2text="Firmado digitalmente por $$ORGANIZATION$$   Fecha: $$SIGNDATE=dd/MM/yyyy$$"
SET l2FontColor=black
SET l2FontSize=7
SET l2FontFamily=1
SET l2FontStyle=0

REM Asegura que autofirma no muestra ninguna GUI
set headless=true

REM incluir únicamente el certificado del firmante
set "includeOnlySignningCertificate=true"

REM Siempre creará una revisión al firmar. Requiere que el documento cumpla PDF 1.7 (ISO 32000-1:2008)
REM "alwaysCreateRevision=true"

set "CONFIG=headless=%headless%\nlayer2Text=%layer2text%\nsignatureProductionCity=%city%\nsignatureProductionProvince=%province%\nsignatureProductionPostalCode=%postalcode%\nsignatureProductionCountry=ESPAÑA\nsignaturePositionOnPageLowerLeftX=%PositionOnPageLowerLeftX%\nsignaturePositionOnPageLowerLeftY=%PositionOnPageLowerLeftY%\nsignaturePositionOnPageUpperRightX=%PositionOnPageUpperRightX%\nsignaturePositionOnPageUpperRightY=%PositionOnPageUpperRigthY%\nsignaturePage=-1\nincludeOnlySignningCertificate=true\nsignatureRubricImage=%signatureRubricImage%"

REM echo %CONFIG% > %LOGFILE%
REM echo %ARCHIVO% > %LOGFILE%
echo %TEMP% > %LOGFILE%
rem echo %PASSCRIS% > %LOGFILE%

call :FIRMA >> %LOGFILE%
exit /b

:FIRMA
"C:\Program Files (x86)\AutoFirma\AutoFirma\AutoFirmaCommandLine.exe" sign -i %ARCHIVO% -o %ARCHIVO% -store pkcs12:"D:\FactuGES2\Servidor\PDFS\cert.pfx" -password %PASSACO% -filter subject.contains:4467 -config %CONFIG%

